//
//  GLobal.swift
//  MyTatvaCare
//
//  Created by Nirav Ramani on 05/05/25.
//

import Foundation
import AVFoundation
import AVKit


enum Enum_stroyboard: String {
    case Main = "MainCGM"
}

var watchCGMVideo = "https://www.youtube.com/embed/r5Zemc4R044?si=RPvayD39VzsZuXsA"
var reconnectionwatchCGMVideo = "https://www.youtube.com/embed/n_pUrFoZ1wQ?si=miYcKnqHo-kXU8OP"
var applyingTheSensor = "https://www.youtube.com/embed/O01BBxzxGmE?si=SblmJ14boqu7Y4qM"
var applyingTheTransmitter = "https://www.youtube.com/embed/6m3pxl5BK9A?si=08OGnUJf2BdvAYfd"
var connectionJourneyError =  "https://www.youtube.com/embed/mVMBdUeTlhc?si=ODZSiDW96UqyFiZb"
var qrScanFailed = "https://www.youtube.com/embed/zRlFFdr-QD4?si=hjq4fQDysfkTOPLh"

func loadImage(named: String) -> UIImage? {
    if let resourceBundleURL = Bundle(for: ImageTVC.self).url(forResource: "TatvaPodResources", withExtension: "bundle"),
       let resourceBundle = Bundle(url: resourceBundleURL) {
        let image = UIImage(named: named, in: resourceBundle, compatibleWith: nil)
        return image
    } else {
        print("⚠️ Could not find TatvaPodResources.bundle")
    }
    return nil
}


class SupportClickPayload: NSObject {
    let screenName: String
    let status: String

    init(screenName: String, status: String) {
        self.screenName = screenName
        self.status = status
    }
}


 
